import request from '@/utils/request'

// 查询库存明细列表
export function listDetails(query) {
  return request({
    url: '/yanxinxiang/details/list',
    method: 'get',
    params: query
  })
}

// 查询库存明细详细
export function getDetails(id) {
  return request({
    url: '/yanxinxiang/details/' + id,
    method: 'get'
  })
}

// 新增库存明细
export function addDetails(data) {
  return request({
    url: '/yanxinxiang/details',
    method: 'post',
    data: data
  })
}

// 修改库存明细
export function updateDetails(data) {
  return request({
    url: '/yanxinxiang/details',
    method: 'put',
    data: data
  })
}

// 删除库存明细
export function delDetails(id) {
  return request({
    url: '/yanxinxiang/details/' + id,
    method: 'delete'
  })
}
