import request from '@/utils/request'

// 查询智慧灯条列表
export function listStrip(query) {
  return request({
    url: '/yanxinxiang/strip/list',
    method: 'get',
    params: query
  })
}

// 查询智慧灯条详细
export function getStrip(id) {
  return request({
    url: '/yanxinxiang/strip/' + id,
    method: 'get'
  })
}

// 新增智慧灯条
export function addStrip(data) {
  return request({
    url: '/yanxinxiang/strip',
    method: 'post',
    data: data
  })
}

// 修改智慧灯条
export function updateStrip(data) {
  return request({
    url: '/yanxinxiang/strip',
    method: 'put',
    data: data
  })
}

// 删除智慧灯条
export function delStrip(id) {
  return request({
    url: '/yanxinxiang/strip/' + id,
    method: 'delete'
  })
}
